From b0b83b2477b3675d2b0a951a4c57fb6213b49d78 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Apr 26 2020 01:02:09 +0000
Subject: [PATCH 379/2232] Fix missing absolute paths in vector-related Rust codegen


---

diff --git a/macro/src/expand.rs b/macro/src/expand.rs
index 4ecaf07..d8c47d4 100644
--- a/macro/src/expand.rs
+++ b/macro/src/expand.rs
@@ -27,11 +27,11 @@ pub fn bridge(namespace: &Namespace, ffi: ItemMod) -> Result<TokenStream> {
     // traits on them.
     expanded.extend(quote! {
         pub struct Vector<T>(pub ::cxx::CxxVector<T>);
-        impl<T: cxx::private::VectorElement<T>> Vector<T> {
+        impl<T: ::cxx::private::VectorElement<T>> Vector<T> {
             pub fn size(&self) -> usize {
                 self.0.size()
             }
-            pub fn get(&self, pos: usize) -> Option<&T> {
+            pub fn get(&self, pos: usize) -> ::std::option::Option<&T> {
                 self.0.get(pos)
             }
             pub fn get_unchecked(&self, pos: usize) -> &T {
@@ -44,9 +44,9 @@ pub fn bridge(namespace: &Namespace, ffi: ItemMod) -> Result<TokenStream> {
                 self.0.push_back(item)
             }
         }
-        impl<'a, T: cxx::private::VectorElement<T>> IntoIterator for &'a Vector<T> {
+        impl<'a, T: ::cxx::private::VectorElement<T>> ::std::iter::IntoIterator for &'a Vector<T> {
             type Item = &'a T;
-            type IntoIter = <&'a ::cxx::CxxVector<T> as IntoIterator>::IntoIter;
+            type IntoIter = <&'a ::cxx::CxxVector<T> as ::std::iter::IntoIterator>::IntoIter;
 
             fn into_iter(self) -> Self::IntoIter {
                 self.0.into_iter()

